package com.jcg.examples.service;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jcg.examples.entity.Account;
import com.jcg.examples.repo.AccountRepo;

@Service
public class AccountService
{
		
		@Autowired
		private AccountRepo accountRepo;
		
		@Transactional
		public Account save(Account account)
		{
				return accountRepo.save(account);
		}
		
		@Transactional
		public void delete(Long accountId)
		{
				accountRepo.delete(accountId);
		}
		
		@Transactional
		public Account get(Long accountId)
		{
				return accountRepo.findOne(accountId);
		}
		
		@SuppressWarnings("unchecked")
		public Collection<Account> findAll()
		{
				return accountRepo.findAll().as(Collection.class);
		}

		public AccountRepo getAccountRepo()
		{
				return accountRepo;
		}

		public void setAccountRepo(AccountRepo accountRepo)
		{
				this.accountRepo = accountRepo;
		}
}
