package com.jcg.examples.service;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jcg.examples.entity.Person;
import com.jcg.examples.repo.PersonRepo;

@Service
public class PersonService
{
		
		@Autowired
		private PersonRepo personRepo;
		
		@Transactional
		public Person save(Person person)
		{
				return personRepo.save(person);
		}
		
		@Transactional
		public void delete(Long personId)
		{
				personRepo.delete(personId);
		}
		
		@Transactional
		public Person get(Long personId)
		{
				return personRepo.findOne(personId);
		}
		
		@SuppressWarnings("unchecked")
		public Collection<Person> findAll()
		{
				return personRepo.findAll().as(Collection.class);
		}

		public PersonRepo getPersonRepo()
		{
				return personRepo;
		}

		public void setPersonRepo(PersonRepo personRepo)
		{
				this.personRepo = personRepo;
		}
}
